"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

require("antd/es/row/style");

var _row = _interopRequireDefault(require("antd/es/row"));

require("antd/es/col/style");

var _col = _interopRequireDefault(require("antd/es/col"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _FormItem = _interopRequireDefault(require("./FormItem"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var AdvancedFormItem = function AdvancedFormItem(props) {
  var _useState = (0, _react.useState)([]),
      _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
      advancedSetupItem = _useState2[0],
      setAdvancedSetupItem = _useState2[1];

  var _useState3 = (0, _react.useState)(""),
      _useState4 = (0, _slicedToArray2["default"])(_useState3, 2),
      itemkey = _useState4[0],
      setItemKey = _useState4[1];

  (0, _react.useEffect)(function () {
    setAdvancedSetupItem(props.advancedSetupItem);
    setItemKey(props.advancedSetupItem.key);
  }, []);
  var bRequired = !(advancedSetupItem.permitNull == 1);
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_row["default"], null, /*#__PURE__*/_react["default"].createElement(_col["default"], {
    span: 4
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "label-wrapper"
  }, /*#__PURE__*/_react["default"].createElement("span", {
    className: "advanced-setup-form-item-label"
  }, advancedSetupItem.name))), /*#__PURE__*/_react["default"].createElement(_col["default"], {
    span: 19
  }, advancedSetupItem && advancedSetupItem.inputs && advancedSetupItem.inputs.map(function (data, index) {
    if (data) {
      return /*#__PURE__*/_react["default"].createElement(_FormItem["default"], {
        type: "advanced",
        bRequired: bRequired,
        key: index,
        fieldData: data,
        itemKey: itemkey + "-" + data.key,
        form: props.form
      });
    }
  }))), /*#__PURE__*/_react["default"].createElement("hr", {
    style: {
      border: "none",
      borderTop: "1px solid #EBEBEB",
      marginTop: "15px"
    }
  }));
};

var _default = AdvancedFormItem;
exports["default"] = _default;