"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

require("antd/es/input/style");

var _input = _interopRequireDefault(require("antd/es/input"));

require("antd/es/form/style");

var _form = _interopRequireDefault(require("antd/es/form"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

require("antd/es/collapse/style");

var _collapse = _interopRequireDefault(require("antd/es/collapse"));

var _react = _interopRequireWildcard(require("react"));

var _FormItem = _interopRequireDefault(require("./FormItem"));

var _AdvancedFormItem = _interopRequireDefault(require("./AdvancedFormItem"));

require("./index.scss");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var Panel = _collapse["default"].Panel;

var XmlRootForm = function XmlRootForm(props) {
  var _Form$useForm = _form["default"].useForm(),
      _Form$useForm2 = (0, _slicedToArray2["default"])(_Form$useForm, 1),
      form = _Form$useForm2[0];

  var _useState = (0, _react.useState)([]),
      _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
      baseInputsList = _useState2[0],
      setBaseInputsList = _useState2[1];

  var _useState3 = (0, _react.useState)([]),
      _useState4 = (0, _slicedToArray2["default"])(_useState3, 2),
      advanceSetupsList = _useState4[0],
      setAdvanceSetupsList = _useState4[1];

  (0, _react.useEffect)(function () {
    if (props && props.schema && props.schema.base && props.schema.base.craft.inputs) {
      setBaseInputsList(props.schema.base.craft.inputs);
    }

    if (props && props.schema && props.schema.advance && props.schema.advance.setups) {
      setAdvanceSetupsList(props.schema.advance.setups);
    }
  }, []);

  var compair = function compair(rule, value, callback) {
    var reg = /^[^ ]+$/;

    if (reg.test(value)) {
      callback();
      return Promise.resolve();
    } else {
      return Promise.reject("字母数字下划线不能有空格");
    }
  };

  var formItemLayout = {
    labelCol: {
      span: 4
    },
    wrapperCol: {
      span: 19
    }
  };
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "container"
  }, baseInputsList !== null && baseInputsList !== void 0 && baseInputsList.length ? /*#__PURE__*/_react["default"].createElement(_form["default"], {
    form: form
  }, /*#__PURE__*/_react["default"].createElement(_collapse["default"], {
    defaultActiveKey: ["1", "2"]
  }, /*#__PURE__*/_react["default"].createElement(Panel, {
    header: "\u57FA\u7840\u8BBE\u7F6E",
    key: "1",
    style: {
      background: "#F4F4F4"
    }
  }, /*#__PURE__*/_react["default"].createElement(_form["default"].Item, (0, _extends2["default"])({}, formItemLayout, {
    label: "\u9879\u76EE\u540D\u79F0\uFF1A",
    name: "projectName",
    rules: [{
      required: true,
      message: "必填项",
      validator: compair
    }]
  }), /*#__PURE__*/_react["default"].createElement(_input["default"], null)), (baseInputsList === null || baseInputsList === void 0 ? void 0 : baseInputsList.length) && baseInputsList.map(function (inputData, index) {
    return /*#__PURE__*/_react["default"].createElement(_FormItem["default"], {
      key: index,
      type: "basic",
      fieldData: inputData,
      itemKey: inputData.key,
      form: form
    });
  })), advanceSetupsList !== null && advanceSetupsList !== void 0 && advanceSetupsList.length ? /*#__PURE__*/_react["default"].createElement(Panel, {
    header: "\u9AD8\u7EA7\u8BBE\u7F6E",
    key: "2",
    style: {
      background: "#F4F4F4"
    }
  }, (advanceSetupsList === null || advanceSetupsList === void 0 ? void 0 : advanceSetupsList.length) && advanceSetupsList.map(function (setup, index) {
    return /*#__PURE__*/_react["default"].createElement(_AdvancedFormItem["default"], {
      key: index,
      advancedSetupItem: setup,
      form: form
    });
  })) : "")) : "");
};

var _default = XmlRootForm;
exports["default"] = _default;